#!/bin/sh

set -e # prevent hiding of errors

rm -f *coverage.xml
rm -f *test_results.xml

./getlasso.sh
pip install --upgrade setuptools
pip install --upgrade pip
pip install --upgrade pylint pylint-django
pip install --upgrade tox

tox -r

./merge-junit-results.py junit-*.xml >test_results.xml
./merge-coverage.py -o coverage.xml coverage-*.xml


test -f pylint.out && cp pylint.out pylint.out.prev
(pylint -f parseable --rcfile /var/lib/jenkins/pylint.django.rc hobo | tee pylint.out) || /bin/true
test -f pylint.out.prev && (diff pylint.out.prev pylint.out | grep '^[><]' | grep .py) || /bin/true

echo OK
